"use client";
import Image from "next/image";
import React, { Fragment, useState } from "react";
import { Dialog, Transition, Menu } from "@headlessui/react";
import { NotificationIcon, ProfileDropDownIcon } from "../Icons";
import Link from "next/link";
import { usePathname } from "next/navigation";
const EvaluatorHeader = () => {
  const router = usePathname();
  console.log(router, "s");
  return (
    <div className="border-b bg-white border-gray-600">
      <header className="!p-2 sm:!p-3 theme-container flex justify-between items-center sm:gap-4">
        <Link href="/">
          <div className="flex items-center ">
            <figure className=" cursor-pointer ">
              <Image
                src="/assets/images/logo.svg"
                height={75}
                width={78}
                alt="Logo"
              />
            </figure>
            <h2 className=" text-lg  md:text-xl lg:text-2xl font-medium pl-2  text-dark-blue">
              Funds Verifier
            </h2>
          </div>
        </Link>
        <h2 className=" text-lg md:text-xl lg:text-2xl font-medium pl-2  text-dark-blue">
          Evaluator Dashboard{" "}
        </h2>
        <div className="flex items-center gap-4 sm:gap-8">
          <button>
            <NotificationIcon
              className={`${
                router.includes("/seller-profile")
                  ? "text-prussianBlue"
                  : "text-dark-blue"
              }`}
            />
          </button>
          <Menu as="div" className="relative text-left z-100">
            <Menu.Button className="btn !min-w-max flex items-center gap-2">
              <figure>
                <Image
                  src="/evaluator.png"
                  alt="Profile"
                  height={57}
                  width={57}
                  className="mb-5 rounded-full bottom-0"
                />
              </figure>
              <div>
                <h2 className="text-prussianBlue text-xs font-semibold">
                  John Smith{" "}
                </h2>
                <span className="text-prussianBlue text-[10px] block text-start">
                  Deal Hunter
                </span>
              </div>
              <ProfileDropDownIcon />
            </Menu.Button>
            <Transition
              as={Fragment}
              enter="transition ease-out duration-100"
              enterFrom="transform opacity-0 scale-95"
              enterTo="transform opacity-100 scale-100"
              leave="transition ease-in duration-75"
              leaveFrom="transform opacity-100 scale-100"
              leaveTo="transform opacity-0 scale-95"
            >
              <Menu.Items className="absolute cursor-pointer z-50 right-0 w-[87px] origin-top-right bg-white custom-shadow rounded-lg">
                <ul className="text-prussianBlue text-xs">
                  <Link href="#">
                    <li className="border-b px-3 py-2 border-gray-600">
                      Profile
                    </li>
                  </Link>
                  <Link href="#">
                    <li className="border-b px-3 py-2 border-gray-600">
                      Setting
                    </li>
                  </Link>
                  <Link href="#">
                    <li className="px-3 py-2">Sign Out</li>
                  </Link>
                </ul>
              </Menu.Items>
            </Transition>
          </Menu>
        </div>
      </header>
    </div>
  );
};
export default EvaluatorHeader;
